Scilab Function
Last update : 16/6/2004

ones - matrice remplie de 1

### Calling Sequence

  `y=ones(m1,m2,...)`
  `y=ones(x)`
  `y=ones()`

### Parameters

- `x,y` : matrices
- `m1, m2,..` : entiers

### Description

Renvoie une matrice dont tous les termes valent 1.

  ones(m1,m2) Renvoie une matrice de taille `(m1,m2)` remplie de 1.
  ones(m1,m2,..,mn): renvoie une matrice `(m1,m2,..,mn)` remplie de 1.
  ones(x) : renvoie une matrice remplie de 1 de même taille que `x`.
  ones(x)est aussi valide si `x` est une liste de type `syslin` (système dynamique linéaire sous forme d'une fonction de transfert ou d'une représentation d'état).

Notez que `ones(3)` est équivalent à `ones(a)` avec `a=3` et donc n'est PAS une matrice 3x3 !

ones() est équivalent à ones(1,1).

### Examples

    ones(3)
    ones(3,3)
    ones(2,3,2)

### See Also

`eye`, `zeros`,